---
title: Date.prototype.toGMTString()
slug: Web/JavaScript/Reference/Global_Objects/Date/toGMTString
tags:
  - Date
  - Deprecated
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <strong><code>toGMTString()</code></strong> method converts a date to a string, using Internet Greenwich Mean Time (GMT) conventions. The exact format of the value returned by <code>toGMTString()</code> varies according to the platform and browser, in general it should represent a human readable date string.</p>

<div class="note">
<p><strong>Note:</strong> <code>toGMTString()</code> is deprecated and should no longer be used. It remains implemented only for backward compatibility; please use {{jsxref("Date.prototype.toUTCString()", "toUTCString()")}} instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.toGMTString()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the given date following the Internet Greenwich Mean Time (GMT) convention.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_example">Simple example</h3>

<p>In this example, the <code>toGMTString()</code> method converts the date to GMT (UTC) using the operating system's time-zone offset and returns a string value that is similar to the following form. The exact format depends on the platform.</p>

<pre class="brush: js notranslate">var today = new Date();
var str = today.toGMTString();  // deprecated! use toUTCString()

console.log(str);               // Mon, 18 Dec 1995 17:28:35 GMT
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.togmtstring', 'Date.prototype.toGMTString')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.toGMTString")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.toLocaleDateString()")}}</li>
 <li>{{jsxref("Date.prototype.toTimeString()")}}</li>
 <li>{{jsxref("Date.prototype.toUTCString()")}}</li>
</ul>
